Package org.bukkit.help

# Class HelpTopicComparator.TopicNameComparator

java.lang.Object
org.bukkit.help.HelpTopicComparator.TopicNameComparator

All Implemented Interfaces:
  `Comparator<String>`

Enclosing class:
  HelpTopicComparator

public static final class HelpTopicComparator.TopicNameComparator extends Object implements Comparator<String>

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(@NotNull String lhs, @NotNull String rhs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Method Details

### compare

public int compare(@NotNull @NotNull String lhs, @NotNull @NotNull String rhs)

Specified by:
  `compare` in interface `Comparator<String>`